RHEL 4 : tar (RHSA-2006:0232)

This script is Copyright (C) 2006-2014 Tenable Network Security, Inc.


Synopsis :

The remote Red Hat host is missing a security update.

Description :

An updated tar package that fixes a buffer overflow bug is now
available for Red Hat Enterprise Linux 4.

This update has been rated as having Moderate security impact by the
Red Hat Security Response Team.

The GNU tar program saves many files together in one archive and can
restore individual files (or all of the files) from that archive.

Jim Meyering discovered a buffer overflow bug in the way GNU tar
extracts malformed archives. By tricking a user into extracting a
malicious tar archive, it is possible to execute arbitrary code as the
user running tar. The Common Vulnerabilities and Exposures project
(cve.mitre.org) assigned the name CVE-2006-0300 to this issue.

Users of tar should upgrade to this updated package, which contains a
backported patch to correct this issue.

See also :

https://www.redhat.com/security/data/cve/CVE-2006-0300.html
http://rhn.redhat.com/errata/RHSA-2006-0232.html

Solution :

Update the affected tar package.

Risk factor :

Medium / CVSS Base Score : 5.1
(CVSS2#AV:N/AC:H/Au:N/C:P/I:P/A:P)

Family: Red Hat Local Security Checks

Nessus Plugin ID: 21005 ()

Bugtraq ID:

CVE ID: CVE-2006-0300